+ Reply to Thread
Results 1 to 7 of 7
  1. #1
    Senior Member Squirltech's Avatar
    Computer Details
    Squirltech's Computer Details
    Operating System:
    Windows 7 Enterprise, Service Pack 1
    Computer:
    BOXX
    RAM:
    32.0 GB
    Primary Storage:
    230 GB
    Monitor:
    Single DELL 34" Curved
    Discipline
    Surveying
    Squirltech's Discipline Details
    Occupation
    Project Coordinator
    Discipline
    Surveying
    Using
    Civil 3D 2013
    Join Date
    Oct 2010
    Location
    30 15' N, 97 44' W
    Posts
    272

    Default Best way to achieve

    Registered forum members do not see this ad.

    Howdy everyone! Hope everybody had a nice holiday weekend and that everyone is doing well.

    I'm needing some assistance with figuring out the best way to achieve the end result for a technician here in our office.

    Here's the thing, we do elevation certifications for landfills and we have to label the "cover", "clay" and "subgrade" then show the difference between the cover and clay and the difference between the clay and subgrade. At this point, it is all hand entered information at each location (100s per area). The previous technician (no longer employed here) was using a block with attributes and hand entering the elevations then doing the math manually.

    The question is, is there a way to do the math auto-magically? I'm not sure there's a way around hand entering, at least part of, the information required. I've attached a drawing of the existing block with attributes for reference. Any help is greatly appreciated!

    ElevCert_DynBlk.dwg
    T. Nelson - Project Coordinator
    http://www.sam.biz/

    "The only thing left to do is EVERYTHING!" - Jesse James
    "Work smarter, not harder" - Unknown

  2. #2
    Senior Member Squirltech's Avatar
    Computer Details
    Squirltech's Computer Details
    Operating System:
    Windows 7 Enterprise, Service Pack 1
    Computer:
    BOXX
    RAM:
    32.0 GB
    Primary Storage:
    230 GB
    Monitor:
    Single DELL 34" Curved
    Discipline
    Surveying
    Squirltech's Discipline Details
    Occupation
    Project Coordinator
    Discipline
    Surveying
    Using
    Civil 3D 2013
    Join Date
    Oct 2010
    Location
    30 15' N, 97 44' W
    Posts
    272

    Default

    Ok...so I've figured out how to do the math auto-magically BUT I've heard of a way to "insert a REGEN" into the field so the values populate. Am I misunderstanding the phrase "insert a REGEN"? If that's just a way of saying, REGEN your drawing, then I've got this. Otherwise, please explain.

    Also, if anyone has a better way of doing this overall step, I'm all ears.....well, and feet.
    T. Nelson - Project Coordinator
    http://www.sam.biz/

    "The only thing left to do is EVERYTHING!" - Jesse James
    "Work smarter, not harder" - Unknown

  3. #3
    Forum Deity Dana W's Avatar
    Computer Details
    Dana W's Computer Details
    Operating System:
    Windows 8 64 bit
    Computer:
    Dell XPS ONE 2710
    Motherboard:
    Dunno
    CPU:
    Intel I-5 3330S @ 2.7 Ghz
    RAM:
    6 Gb
    Graphics:
    On board barely adequate
    Primary Storage:
    1 Terrabyte
    Secondary Storage:
    1 Terrabyte external
    Monitor:
    All in one 27" touch & pen
    Discipline
    Construction
    Dana W's Discipline Details
    Occupation
    Architectural Millwork Designer/Draftsman
    Discipline
    Construction
    Details
    Custom commercial millwork.
    Using
    AutoCAD LT 2018
    Join Date
    Feb 2010
    Location
    Oviedo, Florida
    Posts
    4,759

    Default

    The command you may be looking for is ATTSYNC. The block needs to be selected and then the command issued. You may need some code, and I don't know how to do that.
    The S197 gen Ford Mustang, and the F-4 Phantom both prove the same theory. "With enough power applied, a school bus will fly."

  4. #4
    Quantum Mechanic
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    10,400

    Default

    You have not mentioned how you get the 3 values to start with.

    Ok my $0.05 I have 3 surfaces drop a point on each surface ie 3points it auto assigns a Z a function of CIV3d, just get each points detail as you make the point 3 z's so just fill in your block now placed at the point with the correct z1-z2 z2-z3 etc

    Post a dwg with some more actual detail ie some z stuff to get a better idea of what your actually doing.
    A man who never made mistakes never made anything

  5. #5
    Super Member CyberAngel's Avatar
    Computer Details
    CyberAngel's Computer Details
    Operating System:
    Windows 10
    Discipline
    Architectural
    CyberAngel's Discipline Details
    Occupation
    Civil Drafter
    Discipline
    Architectural
    Details
    Roofing and Waterproofing
    Using
    AutoCAD 2014
    Join Date
    Jul 2006
    Location
    Anywhere Else
    Posts
    1,202

    Default

    With Civil3D and some data you should be able to build three surfaces, as Big Al says. There is a surface property that lets you define a grid with X and Y for each component. You can then create two volume surfaces to calculate the differences for each grid component (I assume that's what the blocks are for). You can print the grid with a volume label in each component. QED I guess. Make sure you set your compaction adjustment to zero (unless there's a value you're supposed to use).
    breaking AutoCAD on a regular basis since 1991

  6. #6
    Senior Member Squirltech's Avatar
    Computer Details
    Squirltech's Computer Details
    Operating System:
    Windows 7 Enterprise, Service Pack 1
    Computer:
    BOXX
    RAM:
    32.0 GB
    Primary Storage:
    230 GB
    Monitor:
    Single DELL 34" Curved
    Discipline
    Surveying
    Squirltech's Discipline Details
    Occupation
    Project Coordinator
    Discipline
    Surveying
    Using
    Civil 3D 2013
    Join Date
    Oct 2010
    Location
    30 15' N, 97 44' W
    Posts
    272

    Default

    The three elevations on the left are hand entered based on the existing conditions (SG), elevations collected on the clay added to bury the trash (CLAY), and dirt cover to bury it all (Cover) based on design elevations.
    There is only a single surface and the multiple surfaces are adding a lot more difficulty than what I'm looking for.

    In short, I want a dynamic block that takes the three hand entered elevations and does the math automatically (with a regen) to populate the two "numbers" on the right. Using MTEXT and FIELDS I can get it to work but the moment I make it a block with attributes, the math and formulas don't work.
    T. Nelson - Project Coordinator
    http://www.sam.biz/

    "The only thing left to do is EVERYTHING!" - Jesse James
    "Work smarter, not harder" - Unknown

  7. #7
    Quantum Mechanic
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    10,400

    Default

    Registered forum members do not see this ad.

    If hand entered then the proceedure is
    enter Z1
    enter Z2
    Enter z3
    H1= z2-z1
    h2 = z3-z2

    insert block pt 1 1 0 h1 h2
    Just do the maths and create the block as you type in the values it does not make sense to type in the values then do some maths on the result

    Code:
    (defun c:elevblk ( / val1 val2 val3 h1 h2)
    (if (not ah:getval3)(load "getvals3"))
    (setq val1 "1") ; dummy line to start
    (while (/=  val1 "0.0")
    (ah:getval3 "Enter 1st Z value" 5 4 "0.0" "Enter 2nd Z value"5 4  "0.0" "Enter 3rd Z value" 5 4 "0.0")
    (setq h1 (- (atof val2) (atof val1)))
    (setq h2 (- (atof val3) (atof val2)))
    (if (/= val1 "0.0")
    (progn
    (setq pt (getpoint "\nPick insertion pt"))
    (command "-insert" "CERT-ELEV" pt 1 1 45 (atof val1) (atof val2) (atof val3) h1 h2)
    )
    )
    )
    )
    Attached Files
    A man who never made mistakes never made anything

Similar Threads

  1. Lisp idea not sure how to achieve
    By gunther in forum AutoLISP, Visual LISP & DCL
    Replies: 3
    Last Post: 20th Mar 2013, 04:29 pm
  2. Which Table Formula will work to achieve this result?
    By colors in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 0
    Last Post: 14th May 2012, 05:30 pm
  3. 3D extruded model adjustment - can't achieve ...
    By JimB in forum AutoCAD Drawing Management & Output
    Replies: 7
    Last Post: 6th Jan 2011, 07:05 pm
  4. How to achieve this function ?
    By xcuiwu in forum AutoCAD Beginners' Area
    Replies: 4
    Last Post: 23rd Jun 2008, 11:54 pm
  5. Trying to achieve a 60" plot
    By Cyclopean in forum AutoCAD Beginners' Area
    Replies: 3
    Last Post: 14th Jan 2003, 07:02 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts